Package org.eclipse.rdf4j.sail.lucene

## Class LuceneSailBuffer

- java.lang.Object
- - org.eclipse.rdf4j.sail.lucene.LuceneSailBuffer

-     @Deprecated
      @InternalUseOnly
      public class LuceneSailBuffer
      extends Object

  Deprecated.
  since 3.0. This feature is for internal use only: its existence, signature or behavior may change without warning from one release to the next.
  A buffer collecting all transaction operations (triples that need to be added, removed, clear operations) so that they can be executed at once during commit.
  Author:
    sauermann, andriy.nikolov

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `LuceneSailBuffer.AddRemoveOperation` | Deprecated.
    `static class` | `LuceneSailBuffer.ClearContextOperation` | Deprecated.
    `static class` | `LuceneSailBuffer.ClearOperation` | Deprecated.
    `static class` | `LuceneSailBuffer.Operation` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LuceneSailBuffer()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(Statement s)` | Deprecated. Add this statement to the buffer
    `void` | `clear​(Resource[] contexts)` | Deprecated.
    `List<LuceneSailBuffer.Operation>` | `operations()` | Deprecated. the list of operations.
    `Iterator<LuceneSailBuffer.Operation>` | `operationsIterator()` | Deprecated. Iterator over the operations
    `void` | `optimize()` | Deprecated. Optimize will remove any changes that are done before a clear()
    `void` | `remove​(Statement s)` | Deprecated. Remove this statement to the buffer
    `void` | `reset()` | Deprecated. reset the buffer, empty the operations list

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LuceneSailBuffer

          public LuceneSailBuffer()

      Deprecated.

  - ### Method Detail

    - #### add

          public void add​(Statement s)

      Deprecated.
      Add this statement to the buffer
      Parameters:
        `s` - the statement

    - #### remove

          public void remove​(Statement s)

      Deprecated.
      Remove this statement to the buffer
      Parameters:
        `s` - the statement

    - #### clear

          public void clear​(Resource[] contexts)

      Deprecated.

    - #### operationsIterator

          public Iterator<LuceneSailBuffer.Operation> operationsIterator()

      Deprecated.
      Iterator over the operations

    - #### operations

          public List<LuceneSailBuffer.Operation> operations()

      Deprecated.
      the list of operations. You must not change it

    - #### optimize

          public void optimize()

      Deprecated.
      Optimize will remove any changes that are done before a clear()

    - #### reset

          public void reset()

      Deprecated.
      reset the buffer, empty the operations list